content/operate/rs/7.4/references/rest-api/requests/nodes/debuginfo.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/nodes/debuginfo | Get debug info from all nodes |
| GET | /v1/nodes/{node_uid}/debuginfo | Get debug info from a specific node |
GET /v1/nodes/debuginfo
Downloads a tar file that contains debug info from all nodes.
| Permission name |
|---|
| [view_debugging_info]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_debugging_info" >}}) |
GET /v1/nodes/debuginfo
Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.
| Key | Value | Description |
|---|---|---|
| Content-Type | application/x-gzip | Media type of request/response body |
| Content-Length | 653350 | Length of the response body in octets |
| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser or download as attachment |
| Code | Description |
|---|---|
| 200 OK | Success. |
| 500 Internal Server Error | Failed to get debug info. |
GET /v1/nodes/{int: node_uid}/debuginfo
Downloads a tar file that contains debug info from a specific node.
| Permission name |
|---|
| [view_debugging_info]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_debugging_info" >}}) |
GET /v1/nodes/1/debuginfo
Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.
| Key | Value | Description |
|---|---|---|
| Content-Type | application/x-gzip | Media type of request/response body |
| Content-Length | 653350 | Length of the response body in octets |
| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser or download as attachment |
| Code | Description |
|---|---|
| 200 OK | Success. |
| 500 Internal Server Error | Failed to get debug info. |